Rock
FeverDes Man DeAblo
UK 1996 (Rough Trade 45REV39)Винил. Пластинка; 7"
Unwelcome Guests / The 255sUnwelcome Guests, The 255s
US 2011 (Kiss Of Death Records KOD 065)Винил. Пластинка; 7"
Reasons To BreatheUniforms
2018 (Make-That-A-Take Records MTATV018)Винил. Пластинка; 7"; EP
Santo CaserioSanto Caserio
UK 2003 (Le Saboteur Records Le Saboteur #01)Винил. Пластинка; 7"
RegardeRegarde
Europe 2014 (Dingleberry Records DBR 071)Винил. Пластинка; 7"
What's In Your Heart?This Time Around
Spain 2003 (Sell Our Souls Records SOUL.07)Винил. Пластинка; 7"; EP
NarwhalNarwhal
UK 2006 (Strictly No Capital Letters #5)Винил. Пластинка; 7"
High TreasonHigh Treason
Netherlands 2007 (Shield Recordings SLD007)Винил. Пластинка; 7"; EP
El Eje Del Mäl / Inquiry Last SceneryEl Eje Del Mäl, Inquiry Last Scenery
Australia 2012 (Liku-Likuan Hibaran L'H(V)#1)Винил. Пластинка; 7"; 33 ⅓ RPM
The Amistad / New BruisesNew Bruises, The Amistad
UK 2011 (All In Vinyl AIV009)Винил. Пластинка; 7"; 45 RPM
Lyburnum Wits End Liberation FlyMoss Icon
US 2023 (Temporary Residence Limited TRR393 LP-C3)Винил. Пластинка; LP; Альбом; Переиздание
For RespectDon Caballero
US 2007 (Touch And Go TG120)Винил. Пластинка; LP; Альбом; Переиздание
Pop, Rock
I Want The PanicThe Agenda
UK 2003 (Must... Destroy!! DESTROYER12)Винил. Пластинка; 7"; 45 RPM; Сингл
SmashThe Offspring
Europe 2017 (Epitaph 6868-1)Винил. Пластинка; LP; Альбом; Переиздание
Next PhaseUbik
US 2019 (Iron Lung Records LUNGS-148)Винил. Пластинка; 12"; 45 RPM; Мини-альбом
Mucky Pup / You Can't Rock And RollPuncture
US 2024 (General Speech zip-02)Винил. Пластинка; 7"; 45 RPM; Сингл
Kick It In (LP Version)Simple Minds
UK 1989 (Virgin SMXT 5)Винил. Пластинка; 12"; 45 RPM; Сингл
Fuck It Up Fuck It Up Fuck It Up EPKamikaze Noise
US 2007 (SPHC SPHC 1-69666)Винил. Пластинка; 7"; 33 ⅓ RPM; EP
The Ugly OrganCursive
US 2025 (Run For Cover Records (2) RFC307)Винил. Пластинка; LP; Альбом; Лимитированное издание
Everybody Is Going To HeavenCitiZen
US 2015 (Run For Cover Records (2) RFC131)Винил. Пластинка; LP; Альбом; Repress
DirectionsKnumears
US 2026 (Run For Cover Records (2) RFC314)Винил. Пластинка; 12"; 45 RPM; Альбом
Run Like A Girl
US 2026 (Summer Shade SUM004)Винил. Пластинка; 10"; 45 RPM; EP
ColourmeinkindnessBasement
US 2024 (Run For Cover Records (2) RFC:061)Винил. Пластинка; LP; Альбом; Лимитированное издание
Holy GhostModern Baseball
US 2021 (Run For Cover Records (2) RFC:152)Винил. Пластинка; LP; Альбом; Лимитированное издание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.